﻿body.layout-top-nav {
    background-image: url('../img/padini/img_padini_banner_1.jpg');
    background-repeat: no-repeat;
    background-size: contain;
}

.txt-version {
    position: fixed;
    bottom: 0;
    right: 0;
    font-size: xx-small;
    color: lightgray;
}

.content-wrapper {
    background: none;
}

html {
    background-color: rgb(249, 249, 252);
}

.container {
    max-width: 1400px !important;
}

.container-vertical-center {
    position: relative;
}

.container-vertical-center > div {
    margin: 0;
    position: absolute;
    top: 50%;
    left: 0%;
    -ms-transform: translate(0%, -50%);
    transform: translate(0%, -50%);
}

/*header*/
.header-background-overlay {
    width: 100%;
    padding-top: 22.5%;
    height: 0;
    position: absolute;
    z-index: 0;
    background-color: rgba(0, 0, 0, 0.8);
}

.brand-image {
    width: 120px;
    padding-top: 40%;
    background-image: url('../img/padini/img_padini_logo.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position-y: 45%;
}

/*top nav*/
.main-header .nav-link {
    color: rgb(255, 255, 255);
}

.main-header .navbar-toggler-icon {
    color: rgb(255, 255, 255);
}

@media (max-width: 768px) {
    .main-header .navbar-collapse {
        background-color: rgba(0, 0, 0, 0.2);
    }
}

.main-header .navbar-toggler {
    border-width: 0px !important;
    outline: 0 !important;
}

.main-header .nav-link {
    padding: 10px;
}

/*page header*/
.breadcrumb-item + .breadcrumb-item::before {
    content: "-";
    color: rgb(255, 255, 255);
}

.breadcrumb-item i.fas {
    line-height: 28px;
    padding-right: 15px;
}

/*footer*/
.main-footer {
    padding: 0;
}

.main-footer .footer-copyright {
    padding: 16px;
}


.main-footer .footer-banner {
    position: relative;
    height: 48px;
    background-image: url('../img/padini/img_padini_banner_1.jpg');
    background-position-y: 20%;
    background-repeat: no-repeat;
    background-size: cover;
}

.main-footer .background-overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 0;
    background-color: rgba(0, 0, 0, 0.8);
}

.main-footer .navbar-brand {
    position: absolute;
    bottom: 32px;
}

/*data table*/
table.dataTable,
.dataTables_scrollHeadInner {
    min-width: 100% !important;
    padding-right: 4px;
}

.dataTables_wrapper.freeze-header .dataTables_scrollBody,
.dataTables_wrapper.freeze-header .dataTables_scrollHeadInner {
    overflow-y: scroll !important;
}

table.dataTable.table thead th {
    border-bottom-width: 1px;
    border-top-width: 0;
}

table.dataTable tbody > tr.selected, table.dataTable tbody > tr > .selected {
    background-color: rgb(0, 0, 0);
}

table.dataTable.selectable tbody > tr {
    cursor: pointer;
}

/*sorting arrow*/
table.dataTable thead .sorting_asc:before,
table.dataTable thead .sorting_desc:before,
table.dataTable thead .sorting:before {
    margin-right: 3px;
}

div.dataTables_wrapper div.dataTables_filter {
    float: left;
    width: 65%;
}

div.dataTables_wrapper div.dataTables_filter > label {
    width: 100%;
}

div.dataTables_wrapper div.dataTables_filter input {
    margin-left: 0;
    width: 100%;
}

div.dataTables_wrapper div.dataTables_paginate {
    float: left;
}

div.dataTables_wrapper div.dataTables_length {
    float: right;
    padding-top: 4px;
}

div.dataTables_wrapper div.dataTables_info {
    float: right;
    padding-top: 8px;
    margin-left: 10px;
}

table.dataTable tr td.select-checkbox {
    cursor: pointer;
}

table.dataTable tr.no-select td.select-checkbox:before {
    display: none;
}

table.dataTable tr.selected td.select-checkbox:after {
    margin-left: -10px;
    margin-top: -7px;
    text-shadow: none;
}

table td > table.table-bordered {
    border-width: 1px !important;
    border-style: solid !important;
    border-color: rgb(222, 226, 230) !important;
}


.dataTables_scrollHead table.dataTable thead th.select-checkbox {
    position: relative;
}

.dataTables_scrollHead table.dataTable thead th.select-checkbox:before,
.dataTables_scrollHead table.dataTable thead th.select-checkbox:after {
    display: block;
    position: absolute;
    top: 1.2em;
    left: 50%;
    width: 12px;
    height: 12px;
    box-sizing: border-box;
}

.dataTables_scrollHead table.dataTable thead th.select-checkbox:before {
    content: ' ';
    margin-top: -6px;
    margin-left: -6px;
    border: 1px solid black;
    border-radius: 3px;
    top: 50%;
}

.dataTables_scrollHead table.dataTable tr.selected th.select-checkbox:after {
    content: '\2714';
    margin-top: -11px;
    margin-left: -4px;
    text-align: center;
}

.dataTables_scrollHead table.dataTable tr.selected th.select-checkbox:after {
    left: 50%;
    margin-left: -9px;
    top: 50%;
    margin-top: -14px;
}

/*button*/
.btn {
    min-width: 150px;
    border-radius: 30px;
}

.input-group-append .btn {
    min-width: unset;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.btn-icon {
    cursor: pointer;
}

.btn-primary {
    background-color: #070707;
}

.btn-primary:hover {
    background-color: #1a1a1a;
}


.btn-primary.disabled, .btn-primary:disabled {
    background-color: #070707;
    opacity: 0.65;
}

.btn-primary:not(:disabled):not(.disabled):active, .btn-primary:not(:disabled):not(.disabled).active,
.show > .btn-primary.dropdown-toggle {
    background-color: #070707;
    opacity: 0.65;
}

/*icheck*/

.icheck-primary > input:first-child:not(:checked):not(:disabled):hover + label::before,
.icheck-primary > input:first-child:not(:checked):not(:disabled):hover + input[type="hidden"] + label::before {
    border-color: #070707;
}

.icheck-primary > input:first-child:checked + label::before,
.icheck-primary > input:first-child:checked + input[type="hidden"] + label::before {
    background-color: #070707;
    border-color: #070707;
}


/*form*/
.input-group .input-group-text,
.input-group .form-control {
    border-radius: 0;
}

textarea {
    min-height: 200px;
}

input.input-validation-error,
input.input-validation-error:focus,
input.input-validation-error:active,
input.input-validation-error:hover,
select.input-validation-error + .select2-container .select2-selection,
input.input-validation-error + div.dropzone,
textarea.input-validation-error,
.field-validation-error + .input-group .input-group-text {
    border-color: #a94442;
}

.field-validation-valid,
.field-validation-error {
    font-size: 12px;
    height: 20px;
    display: none;
}


.input-validation-error + * + .field-validation-error,
.input-validation-error + .field-validation-error,
.field-validation-error {
    display: block;
}


input[type="date"]::-webkit-inner-spin-button,
input[type="date"]::-webkit-calendar-picker-indicator {
    display: none;
    -webkit-appearance: none;
}

input[type="date"]::-ms-clear,
input[type="date"]::-webkit-search-cancel-button {
    display: none;
}

input[type="checkbox"], .radio label {
    cursor: pointer !important;
    height: 18px !important;
    min-width: 18px !important;
    width: auto !important;
    outline-color: #ced4da;
    vertical-align: middle !important;
}

label.form-check-label {
    height: auto !important;
}

/*.form-group{
    margin-bottom:0;
}*/
/*.form-group > label{
    text-align:right;
}*/
input, select, button {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.select2-container {
    width: 100% !important;
}

.select2-container--default.select2-container--disabled .select2-selection--multiple .select2-selection__clear {
    display: none;
}

.form-control.bootstrap-tagsinput {
    width: auto;
    min-width: 100%;
    height: auto;
}

.form-control.bootstrap-tagsinput.disabled {
    background-color: #eee;
    cursor: default;
}

.form-control.bootstrap-tagsinput .tag.badge {
    font-size: 1em;
    font-family: inherit;
    font-weight: inherit;
}

.form-control.bootstrap-tagsinput .tag [data-role="remove"]:after {
    content: "x";
    padding: 0px 2px;
}

.form-control.bootstrap-tagsinput.disabled [data-role="remove"],
.form-control.bootstrap-tagsinput.disabled input {
    display: none;
}

.datepicker.datepicker-dropdown {
    z-index: 1100 !important;
}

/*Modal*/
.modal.no-title .modal-header [type="button"] {
    padding-top: 0.5em;
    padding-bottom: 0em;
}

.modal.no-title .modal-header {
    border-bottom: none;
}

.modal-footer {
    justify-content: center;
}

.modal.retain-background {
    opacity: 0;
}

.hidden {
    display: none !important;
}

/*layout*/
.mlt-cover {
    margin-left: -1.25rem;
    margin-right: -1.25rem;
}

.ml-n4 {
    margin-left: -1.25rem;
}

.mw-100px {
    max-width: 100px;
}


/* dropzone */
div.dropzone {
    border-radius: 4px;
    border: 1px solid #ced4da;
    cursor: default;
}

.dropzone .btn,
.dropzone.dz-clickable .btn {
    cursor: pointer;
}

.dropzone .dz-preview {
    margin: 2em 16px;
}

.dropzone .dz-preview .dz-details .dz-size {
    margin-bottom: 2em;
}

.dropzone .dz-preview .dz-remove {
    position: absolute;
    font-size: 0px;
    color: #fff;
    font-weight: bolder;
    width: 20px;
    height: 20px;
    background-color: #ed5565;
    top: -5px;
    right: -5px;
    z-index: 21;
    border-radius: 20px;
    line-height: 20px;
    text-align: center;
    cursor: pointer;
    color: #fff;
    font-family: "Font Awesome 5 Free";
}

.dropzone .dz-preview .dz-remove:hover {
    background-color: #ed4758;
    text-decoration: none;
    cursor: pointer;
}

.dropzone .dz-preview .dz-remove:before {
    content: "\f00d";
    font-size: 13px;
}

.dropzone .dz-preview.dz-image-preview {
    border-radius: 20px;
}


/* for dropzone */
.dropzone .dz-preview.dz-success .dz-success-mark {
    -webkit-animation: fade-in 3s cubic-bezier(0.77, 0, 0.175, 1);
    -moz-animation: fade-in 3s cubic-bezier(0.77, 0, 0.175, 1);
    -ms-animation: fade-in 3s cubic-bezier(0.77, 0, 0.175, 1);
    -o-animation: fade-in 3s cubic-bezier(0.77, 0, 0.175, 1);
    animation: fade-in 3s cubic-bezier(0.77, 0, 0.175, 1);
    opacity: 1;
}

/* hide dropzone file progress before start upload */
.dropzone .dz-preview:not(.dz-processing) .dz-progress,
.dropzone .dz-file-preview:not(.dz-processing) .dz-progress {
    display: none;
}

.center {
    margin: auto;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    max-height: 100%;
    max-width: 100%;
}

.ratio-1-1 {
    position: relative;
    padding-top: 100%;
    width: 100%;
    overflow: hidden;
}


/*layout*/
.icon-profile {
    max-width: 100%;
    height: auto;
    padding-top: 100%;
    position: relative;
    background-color: lightgray;
}

.icon-profile > i {
    color: gray;
    font-size: 44px;
    margin-left: -20px;
    margin-top: -22px;
    position: absolute;
    top: 50%;
    left: 50%;
}


/* smartphone Device Look */

/* The device with borders */
.look-smartphone {
    position: relative;
    width: 77.9mm;
    height: 143.6mm;
    margin: auto;
    border: 10px black solid;
    border-radius: 15px;
    overflow: hidden;
    overflow-y: scroll;
}

/* The screen (or content) of the device */
.look-smartphone .content {
    background: white;
    position: relative;
    padding: 5px;
}

.look-smartphone .header {
    width: 100%;
    height: 20px;
    background-color: rgb(255, 255, 255);
}

.look-smartphone .content::-webkit-scrollbar {
    width: 5px;
}

.look-smartphone .content::-webkit-scrollbar-thumb {
    background: #666;
}

.look-smartphone .content::-webkit-scrollbar-track {
    background: transparent;
}

.look-smartphone img {
    width: 100%;
}


/* sortable list */

ul.sortable {
    list-style-type: none;
    padding-left: 0;
}

ul.sortable > li {
    margin-bottom: 10px;
    font-size: 16px;
    padding: 5px 10px;
    background: #fafafa;
}

    ul.sortable > li .btn-sort {
        cursor: move;
        vertical-align: middle;
    }

/*excel button*/
.btn-export {
    width: 150px;
    float: right;
    right: 20px;
    color: white;
    background: none;
    border-radius: 5px;
    padding: 5px;
    border-color: white;
}

/*nav*/
.nav-link > i {
    margin-right: 5px;
}